Summary: A X front-end for the Ghostscript PostScript(TM) interpreter
Name: gv
Version: 3.6.7
Release: 1
License: GPLv2+
Group: Applications/Publishing
URL: http://www.gnu.org/software/gv/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: Xaw3d-devel
BuildRequires: patch, make

Requires: ghostscript >= 8.60, Xaw3d

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0


%build
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-shared --disable-static \
    --enable-setenv-code
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# remove info dir file
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Ghostview PostScript/PDF Viewer
GenericName=PostScript/PDF Viewer
Comment="View PostScript and PDF files"
Type=Application
Icon=postscript-viewer
MimeType=application/postscript;application/pdf;
StartupWMClass=GV
Exec=gv
EOF

cp %{name}.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

# provide link to ghostview
cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s gv ghostview

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
/etc/X11/applnk/Graphics/*
%{_infodir}/*info*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Apr 01 2009 Michael Perzl <michael@perzl.org> - 3.6.7-1
- updated to version 3.6.7

* Thu Nov 06 2008 Michael Perzl <michael@perzl.org> - 3.6.6-1
- updated to version 3.6.6

* Fri Jul 11 2008 Michael Perzl <michael@perzl.org> - 3.6.5-1
- updated to version 3.6.5

* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 3.6.4-1
- first version for AIX V5.1 and higher
